Skip to main content
POST
Replace Postgres service configuration
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Replace the existing Postgres service and pgBouncer configuration.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the Postgres service.

postgresId
string<uuid>
required

ID of the requested Postgres service.

Body

application/json
pgConfig
Postgres Configuration · object
required

Postgres runtime configuration configuration.

Example:
pgBouncerConfig
PgBouncer Configuration · object
required

PgBouncer runtime configuration configuration.

Example:

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 9, 2026